Package org.codehaus.groovy.transform

# Class CompileDynamicProcessor

java.lang.Object
org.codehaus.groovy.transform.AnnotationCollectorTransform
org.codehaus.groovy.transform.CompileDynamicProcessor

public class CompileDynamicProcessor extends AnnotationCollectorTransform

## Nested Class Summary

## Nested classes/interfaces inherited from class org.codehaus.groovy.transform.AnnotationCollectorTransform

`AnnotationCollectorTransform.ClassChanger`

## Constructor Summary

Constructors
Constructor
Description
`CompileDynamicProcessor()`

## Method Summary

Modifier and Type
Method
Description
`List<AnnotationNode>`
`visit(AnnotationNode collector, AnnotationNode aliasAnnotationUsage, AnnotatedNode aliasAnnotated, SourceUnit source)`
Implementation method of the alias annotation processor.

### Methods inherited from class org.codehaus.groovy.transform.AnnotationCollectorTransform

`addError, getTargetAnnotationList`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CompileDynamicProcessor

public CompileDynamicProcessor()

## Method Details

### visit

public List<AnnotationNode> visit(AnnotationNode collector, AnnotationNode aliasAnnotationUsage, AnnotatedNode aliasAnnotated, SourceUnit source)
Description copied from class: `AnnotationCollectorTransform`
Implementation method of the alias annotation processor. This method will get the list of annotations we aliased from the collector and adds it to aliasAnnotationUsage. The method will also map all members from aliasAnnotationUsage to the aliased nodes. Should a member stay unmapped, we will ad an error. Further processing of those members is done by the annotations.

Overrides:
  `visit` in class `AnnotationCollectorTransform`
Parameters:
  `collector` - reference to the annotation with `AnnotationCollector`
  `aliasAnnotationUsage` - reference to the place of usage of the alias
  `aliasAnnotated` - reference to the node that has been annotated by the alias
  `source` - source unit for error reporting
Returns:
  list of the new AnnotationNodes